Bug 846456 - Plugin 0.12.0.23 need upgrade to 0.12.0.28 (or higher) for mercurial 1.9 (or newer) compatibility
Plugin 0.12.0.23 need upgrade to 0.12.0.28 (or higher) for mercurial 1.9 (or ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: trac-mercurial-plugin (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 16:41 EDT by Sylwester Zarebski
Modified: 2013-04-11 06:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 749216
Environment:
Last Closed: 2013-04-10 18:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylwester Zarebski 2012-08-07 16:41:02 EDT
+++ This bug was initially created as a clone of Bug #749216 +++

Description of problem:
TracMercurial plugin till version 0.12.0.27 is incompatible with Mercurial 1.9 and newer, it show error of:
TypeError: plain() takes exactly 1 argument (2 given)
More information at Trac site - see 3rd comment (list of revisions with fixes):
http://trac.edgewall.org/ticket/10336
This actual bug is fixed by revision 10698:
http://trac.edgewall.org/changeset/10698

Version-Release number of selected component (if applicable):
0.12.0.23-4.20101208svn9953.fc18

How reproducible:
Always with Mercurial 1.9 (or newer) and Trac 0.12 with TracMercurial <= 0.12.0.27 plugin.

Steps to Reproduce:
1. Setup Trac, Mercurial and TracMercurial
2. Open Trac site
  
Actual results:
TypeError: plain() takes exactly 1 argument (2 given)

Expected results:
Working Mercurial connection

Additional info:
I suggest to use newest 0.12.0.29 version for Mercurial 2.0 compatibility (or newer).
Comment 2 Patrick Uiterwijk 2013-03-26 08:20:13 EDT
Updating EL6, F17 and F18 to 0.12.29.

Updating F19 and rawhide to 1.0.0.1.
Comment 3 Fedora Update System 2013-03-26 08:50:31 EDT
trac-mercurial-plugin-0.12.0.29-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-mercurial-plugin-0.12.0.29-1.el6
Comment 4 Fedora Update System 2013-03-26 08:50:43 EDT
trac-mercurial-plugin-0.12.0.29-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/trac-mercurial-plugin-0.12.0.29-1.fc17
Comment 5 Fedora Update System 2013-03-26 08:50:54 EDT
trac-mercurial-plugin-0.12.0.29-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/trac-mercurial-plugin-0.12.0.29-1.fc18
Comment 6 Fedora Update System 2013-03-26 12:41:00 EDT
Package trac-mercurial-plugin-0.12.0.29-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing trac-mercurial-plugin-0.12.0.29-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0805/trac-mercurial-plugin-0.12.0.29-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora End Of Life 2013-04-03 16:37:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora Update System 2013-04-10 18:16:35 EDT
trac-mercurial-plugin-0.12.0.29-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-04-11 05:58:27 EDT
trac-mercurial-plugin-0.12.0.29-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-11 06:00:10 EDT
trac-mercurial-plugin-0.12.0.29-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.